package com.goafanti.weChat.bo;

import com.goafanti.common.utils.excel.Excel;

/**
 * 财务导出公出列表
 */
public class OutPublicDtailsFinance {

	private Integer id;
	@Excel(name = "公出类型",readConverterExp = "0=业务公出，1=技术公出，2=行政公出，3=技术协单",width = 8)
	private Integer type;
	@Excel(name = "客户名称")
	private String nickname;
	@Excel(name = "公出地点")
	private String userName;
	@Excel(name = "跟单人")
	private String sname;
	@Excel(name = "公出人")
	private String aname;
	@Excel(name = "公出开始时间")
	private String releaseStarts;
	@Excel(name = "公出结束时间")
	private String releaseEnds;
	@Excel(name = "公出时长",width = 8)
	private String duration;
	@Excel(name = "打卡状态",readConverterExp = "0=未打卡，1=已打卡",width = 8)
	private Integer clockIn;
	@Excel(name = "审核状态" ,readConverterExp = "0=驳回，1=待审核，2=同意，3=撤销",width = 8)
	private Integer status;
	@Excel(name = "审核信息" )
	private String auditInfo;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getNickname() {
		return nickname;
	}

	public void setNickname(String nickname) {
		this.nickname = nickname;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getSname() {
		return sname;
	}

	public void setSname(String sname) {
		this.sname = sname;
	}

	public String getAname() {
		return aname;
	}

	public void setAname(String aname) {
		this.aname = aname;
	}

	public String getReleaseStarts() {
		return releaseStarts;
	}

	public void setReleaseStarts(String releaseStarts) {
		this.releaseStarts = releaseStarts;
	}

	public String getReleaseEnds() {
		return releaseEnds;
	}

	public void setReleaseEnds(String releaseEnds) {
		this.releaseEnds = releaseEnds;
	}

	public String getDuration() {
		return duration;
	}

	public void setDuration(String duration) {
		this.duration = duration;
	}

	public Integer getClockIn() {
		return clockIn;
	}

	public void setClockIn(Integer clockIn) {
		this.clockIn = clockIn;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public String getAuditInfo() {
		return auditInfo;
	}

	public void setAuditInfo(String auditInfo) {
		this.auditInfo = auditInfo;
	}
}
